libsmi (0.4.8+dfsg2-18) unstable; urgency=medium

  * d/control: remove very old replaces/conflicts.
  * d/lintian-overrides: fix mismatched override.
  * d/rules: fix FTBFS with GCC 15 by lowering standard to gnu99.
    Closes: #1097271

 -- Vincent Bernat <bernat@debian.org>  Sun, 07 Dec 2025 14:46:22 +0100

libsmi (0.4.8+dfsg2-17) unstable; urgency=medium

  * Add /var/lib/mibs/site to default search path. Closes: #1067768.

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Mar 2024 21:29:53 +0100

libsmi (0.4.8+dfsg2-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062628

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 18:17:08 +0000

libsmi (0.4.8+dfsg2-16) unstable; urgency=medium

  [ Ansgar Burchardt ]
  * Explicit pass SH=/bin/sh to configure to make build reproducible
    between merged-usr and non-merged-usr systems. Closes: #915164.

  [ Vincent Bernat ]
  * d/control: promote libsmi-common to priority optional.
  * d/control: remove obsolete Vcs-* fields.

 -- Vincent Bernat <bernat@debian.org>  Sun, 02 Dec 2018 14:45:48 +0100

libsmi (0.4.8+dfsg2-15) unstable; urgency=medium

  * Add /var/lib/snmp/mibs/site to the default search path for MIB files.

 -- Vincent Bernat <bernat@debian.org>  Thu, 17 Nov 2016 15:33:25 +0100

libsmi (0.4.8+dfsg2-14) unstable; urgency=medium

  * d/watch: update to new URL. Thanks to Martin Bagge for the
    patch. Closes: #839806.

 -- Vincent Bernat <bernat@debian.org>  Wed, 05 Oct 2016 13:32:13 +0200

libsmi (0.4.8+dfsg2-13) unstable; urgency=medium

  * Fix default paths to MIB files as they have been moved by
    libsmmp-base. Keep some of the old paths to avoid breakage.

 -- Vincent Bernat <bernat@debian.org>  Mon, 19 Sep 2016 10:33:59 +0200

libsmi (0.4.8+dfsg2-12) unstable; urgency=medium

  * Fix FTBFS due to type mismatch introduced by the Bison patch.
    Closes: #834157.
  * d/control: bump Standards-Version.
  * d/control: use secure URL for Vcs-*.
  * d/control: remove -dbg package, use automatic -dbgsym package instead.

 -- Vincent Bernat <bernat@debian.org>  Sat, 13 Aug 2016 13:06:20 +0200

libsmi (0.4.8+dfsg2-11) unstable; urgency=medium

  * Ensure build with -A is possible. Closes: #806062.

 -- Vincent Bernat <bernat@debian.org>  Fri, 27 Nov 2015 22:27:02 +0100

libsmi (0.4.8+dfsg2-10) unstable; urgency=medium

  * Use dh-autoreconf to fix FTBFS on ppc64el. Closes: #757214.

 -- Vincent Bernat <bernat@debian.org>  Wed, 06 Aug 2014 11:12:01 +0200

libsmi (0.4.8+dfsg2-9) unstable; urgency=low

  * Make the -dbg package multi-arch "same".
  * Fix FTBFS due to a change in Bison. Closes: #733361.
    Thanks to Andy Whitcroft.
  * Bump Standards-Version to 3.9.5.

 -- Vincent Bernat <bernat@debian.org>  Thu, 17 Apr 2014 08:23:19 +0200

libsmi (0.4.8+dfsg2-8) unstable; urgency=low

  * Update config.{guess,sub} with autotools-dev package. This enables
    support for AArch64 port. Closes: #727439.
  * Bump Standards-Version to 3.9.4.
  * Fix Vcs-* fields.
  * Add some lintian overrides.

 -- Vincent Bernat <bernat@debian.org>  Sun, 27 Oct 2013 12:16:15 +0100

libsmi (0.4.8+dfsg2-7) unstable; urgency=low

  * Remove debian/shlibs.local since we use a symbols file. Also, the file
    was incorrect. Closes: #701622.

 -- Vincent Bernat <bernat@debian.org>  Mon, 25 Feb 2013 20:21:27 +0100

libsmi (0.4.8+dfsg2-6) unstable; urgency=low

  * Fix a segfault when reading partially invalid MIB. Closes: #600076.
  * Add a symbols file.

 -- Vincent Bernat <bernat@debian.org>  Fri, 08 Jun 2012 23:32:46 +0200

libsmi (0.4.8+dfsg2-5) unstable; urgency=low

  * Switch to debhelper 9 with tiny set of rules.
    This also happens to enable hardening flags. Closes: #654812.
  * Programs in libsmi2ldbl are now shipped in `smitool` package.
  * Enable multiarch for libsmi2ldbl.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Jan 2012 14:39:48 +0100

libsmi (0.4.8+dfsg2-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.2.
  * Get rid of *.la. Closes: #622450.
  * Switch to 3.0 (quilt) format.

 -- Vincent Bernat <bernat@debian.org>  Wed, 18 May 2011 13:25:14 +0200

libsmi (0.4.8+dfsg2-3) unstable; urgency=high

  * Really ship Debian.NEWS.
  * Fix CVE-2010-2891: buffer overflow when handling large OID.
  * Update Standards-Version to 3.9.1.

 -- Vincent Bernat <bernat@debian.org>  Sat, 23 Oct 2010 15:17:37 +0200

libsmi (0.4.8+dfsg2-2) unstable; urgency=low

  * Suggest snmp-mibs-downloader, a package in contrib that will download
    MIB from Internet, if requested by the user, instead of libsnmp-base.
  * Upload to unstable.
  * Update NEWS.Debian.
  * Ship smistrip in a separate package.
  * Update paths in shipped smi.conf.

 -- Vincent Bernat <bernat@debian.org>  Thu, 03 Dec 2009 20:38:40 +0100

libsmi (0.4.8+dfsg2-1) experimental; urgency=low

  * Repack the upstream tarball to drop all MIB: those are licensed like
    IETF RFC and therefore will be provided by a non-free/contrib
    package. For the moment, we suggest libsnmp-base for this purpose.
    Closes: #498476.
  * libsmi2-common is now an empty transitional package (which suggests
    libsnmp-base).
  * Ship to experimental until we know the definitive name of the package
    that will download MIB.
  * Add a NEWS.Debian file to explain the change. We will change it later.
  * Bump Standards-Version to 3.8.3.
  * Add a patch from Jochen Friedrich to enhance smistrip. Closes: #558128.

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Nov 2009 12:15:07 +0100

libsmi (0.4.8+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Adopting libsmi. Thanks to Remco van de Meent for taking care of
    it. Closes: #527855.
  * Thanks to Jan Lübbe for latest NMU.
  * Clean up diff.gz.
  * Clean up debian/rules :
     + we don't run autotools. Closes: #206280.
     + provide a shorter way to link manual pages.
     + use dh_install instead of dh_movefiles
  * Add a -dbg package. Closes: #498361.
  * Dump to Standards-Version 3.8.1.
  * Add Homepage field in debian/control.
  * Add Vcs-* fields in debian/control.
  * Add ${misc:Depends} in debian/control.
  * Fix debian/watch with respect to +dfsg extension.
  * smi_render manpage migrate from libsmi2 to libsmi2-dev package.
  * Fix shipped smi.conf to not use ${HOME} macro which is not
    supported. Closes: #499101.
  * Add a patch to fix display of octet strings. Closes: #499098.
  * Remove useless postinst script. This is handled by debhelper.

 -- Vincent Bernat <bernat@debian.org>  Fri, 15 May 2009 22:49:32 +0200

libsmi (0.4.7+dfsg-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Repack the upstream tarball to drop non-free IETF documents (closes:
    #470384)

 -- Jan Lübbe <jluebbe@debian.org>  Mon, 04 Aug 2008 22:34:25 +0200

libsmi (0.4.7-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch file to version 3 (closes: #450125)
  * Update debian/rules, split in binary-indep and binary-arch (closes:
    #276374 #462874)

 -- Remco van de Meent <remco@debian.org>  Thu, 28 Feb 2008 21:05:57 +0100

libsmi (0.4.6-1) unstable; urgency=low

  * New upstream release
  * Thanks to Luk and Bas for NMUing libsmi in the past.

 -- Remco van de Meent <remco@debian.org>  Wed, 27 Feb 2008 19:57:31 +0100

libsmi (0.4.5+dfsg0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libsmi2 for the ldbl128 transition (Closes: #430299).

 -- Luk Claes <luk@debian.org>  Sat, 02 Feb 2008 14:37:24 +0000

libsmi (0.4.5+dfsg0-0.1) unstable; urgency=medium

  * Non-Maintainer upload
  * Removed RFC's from package (closes: #390666)

 -- Bas Zoetekouw <bas@debian.org>  Sat, 14 Oct 2006 13:21:47 +0200

libsmi (0.4.5-1) unstable; urgency=low

  * New upstream release
  * Updated config.guess c.s.
  * Upgraded to Standards-Version 3.7.2

 -- Remco van de Meent <remco@debian.org>  Tue, 30 May 2006 09:37:38 +0200

libsmi (0.4.3-1) unstable; urgency=medium

  * New upstream release (medium urgency because there are quite some bugs
    fixed upstream)

 -- Remco van de Meent <remco@debian.org>  Wed, 18 Aug 2004 16:24:22 +0200

libsmi (0.4.2-4) unstable; urgency=medium

  * Fix build problems (closes: #266016)

 -- Remco van de Meent <remco@debian.org>  Mon, 16 Aug 2004 15:42:03 +0200

libsmi (0.4.2-3) unstable; urgency=low

  * Split MIB module files off from libsmi2 package, into libsmi2-common
    (closes: #233404). 

 -- Remco van de Meent <remco@debian.org>  Wed,  4 Aug 2004 16:42:51 +0200

libsmi (0.4.2-2) unstable; urgency=low

  * Upgrade to standards-version 3.6.1
  * Updated config.{guess,sub} files

 -- Remco van de Meent <remco@debian.org>  Wed,  4 Aug 2004 12:07:01 +0200

libsmi (0.4.2-1) unstable; urgency=low

  * New upstream release
  * libsmi2-dev: changed section from devel to libdevel

 -- Remco van de Meent <remco@debian.org>  Sun,  7 Dec 2003 12:56:18 +0100

libsmi (0.4.1.cvs20031010-2) unstable; urgency=low

  * Permission problem? (see buildd reports) -> chmod +x on ./configure

 -- Remco van de Meent <remco@debian.org>  Sun, 12 Oct 2003 19:20:44 +0200

libsmi (0.4.1.cvs20031010-1) unstable; urgency=low

  * Upstream CVS snapshot (also closes: #212151)
  * Add few words to -dev package description (closes: #209806)

 -- Remco van de Meent <remco@debian.org>  Fri, 10 Oct 2003 10:47:21 +0200

libsmi (0.4.1-3) unstable; urgency=low

  * Updated build-depends. Upgraded standards-version.

 -- Remco van de Meent <remco@debian.org>  Mon,  3 Mar 2003 15:28:49 +0100

libsmi (0.4.1-2) unstable; urgency=low

  * Updated build-depends

 -- Remco van de Meent <remco@debian.org>  Sun,  2 Feb 2003 22:19:43 +0100

libsmi (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Remco van de Meent <remco@debian.org>  Mon, 18 Nov 2002 11:53:43 +0000

libsmi (0.4.0-1) unstable; urgency=low

  * New upstream release

 -- Remco van de Meent <remco@debian.org>  Fri, 21 Jun 2002 19:13:06 +0000

libsmi (0.3.1-2.cvs20020318) unstable; urgency=low

  * Fixed typos in manual page (closes: #140939)
  * Added missing symlinks for manual pages (closes: #99608)
  * Updated long description with explanations on MIB and SMI (closes:
    #109353)

 -- Remco van de Meent <remco@debian.org>  Sun, 21 Apr 2002 18:46:10 +0200

libsmi (0.3.1-1.cvs20020318) unstable; urgency=low

  * CVS version as of today (fixes some segmentation faults)

 -- Remco van de Meent <remco@debian.org>  Mon, 18 Mar 2002 23:26:22 +0100

libsmi (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Remco van de Meent <remco@debian.org>  Wed,  6 Mar 2002 14:18:45 +0100

libsmi (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Fixed postinst warning about ldconfig
  * Upgraded to standards version 3.5.6

 -- Remco van de Meent <remco@debian.org>  Thu, 29 Nov 2001 19:18:48 +0100

libsmi (0.2.17-1) unstable; urgency=low

  * New upstream release

 -- Remco van de Meent <remco@debian.org>  Thu, 30 Aug 2001 14:35:50 +0200

libsmi (0.2.16-4) unstable; urgency=low

  * Added build depends on libtool (closes: #100645)

 -- Remco van de Meent <remco@debian.org>  Wed, 13 Jun 2001 01:41:19 +0200

libsmi (0.2.16-3) unstable; urgency=low

  * Added and fixed location of smi.conf file and incorporate these changes
    in debian/rules (closes: #100561)
  * Added Section for source files

 -- Remco van de Meent <remco@debian.org>  Tue, 12 Jun 2001 12:06:24 +0200

libsmi (0.2.16-2) unstable; urgency=low

  * Updated config.{guess,sub} using upstream CVS (closes: #95079)

 -- Remco van de Meent <remco@debian.org>  Tue, 24 Apr 2001 11:33:28 +0200

libsmi (0.2.16-1) unstable; urgency=low

  * New upstream release

 -- Remco van de Meent <remco@debian.org>  Mon, 16 Apr 2001 21:38:38 +0200

libsmi (0.2.14-1) unstable; urgency=low

  * New upstream release

 -- Remco van de Meent <remco@debian.org>  Tue,  6 Mar 2001 16:10:33 +0100

libsmi (0.2.13-2) unstable; urgency=low

  * Fixes section (libs/devel)

 -- Remco van de Meent <remco@debian.org>  Wed,  7 Feb 2001 21:47:13 +0100

libsmi (0.2.13-1) unstable; urgency=low

  * New upstream release
  * Closing old bug that has been fixed earlier (closes: #82022)

 -- Remco van de Meent <remco@debian.org>  Wed,  7 Feb 2001 14:30:23 +0100

libsmi (0.2.12-2) unstable; urgency=low

  * Reupload including .orig.tar.gz file to fix corruption in that file on
    ftp-master.debian.org (closes: #82022).

 -- Remco van de Meent <remco@debian.org>  Tue, 16 Jan 2001 15:36:13 +0100

libsmi (0.2.12-1) unstable; urgency=low

  * New upstream release

 -- Remco van de Meent <remco@debian.org>  Wed,  6 Dec 2000 18:36:00 +0100

libsmi (0.2.11-1) unstable; urgency=low

  * New upstream release

 -- Remco van de Meent <remco@debian.org>  Mon,  4 Dec 2000 10:51:49 +0100

libsmi (0.2.8-1) unstable; urgency=low

  * New upstream release

 -- Remco van de Meent <remco@debian.org>  Mon, 20 Nov 2000 11:31:34 +0100

libsmi (0.2.7-1) unstable; urgency=low

  * New upstream release
  * Changed smipath to contain everything in /usr/share/mibs

 -- Remco van de Meent <remco@debian.org>  Sun, 12 Nov 2000 23:31:26 +0100

libsmi (0.2.6-1) unstable; urgency=low

  * New upstream release
  * New maintainer, closes: Bug#75417

 -- Remco van de Meent <remco@debian.org>  Mon, 23 Oct 2000 23:43:52 +0200

libsmi (0.2.3-1) unstable; urgency=low

  * New upstream version
  * Upgrade packaging standard and added Builds-Depends

 -- Craig Small <csmall@debian.org>  Mon, 19 Jun 2000 19:10:40 +1000

libsmi (0.1.7-1) unstable; urgency=low

  * New upstream version

 -- Craig Small <csmall@debian.org>  Thu, 21 Oct 1999 11:48:22 +1000

libsmi (0.1.6-1) unstable; urgency=low

  * Initial Release.

 -- Craig Small <csmall@debian.org>  Mon, 23 Aug 1999 13:16:29 +1000


